Update Audiences page and Key Product Metrics with June 2018 Readers data
Closed, ResolvedPublic

Description

Tbayer created this task.May 31 2018, 9:23 PM
Tbayer moved this task from Triage to Blocked on the Product-Analytics board.
Vvjjkkii renamed this task from Update Audiences page and Key Product Metrics with June 2018 Readers data to pvbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from pvbaaaaaaa to Update Audiences page and Key Product Metrics with June 2018 Readers data.
Tbayer moved this task from Blocked to Backlog on the Product-Analytics board.Jul 2 2018, 3:42 AM
mpopov updated the task description. (Show Details)Jul 10 2018, 6:43 PM

Done :)

mpopov moved this task from Backlog to Doing on the Product-Analytics board.Jul 12 2018, 11:14 PM
chelsyx updated the task description. (Show Details)Jul 27 2018, 6:49 PM
Tbayer closed this task as Resolved.Aug 25 2018, 12:46 AM
Tbayer updated the task description. (Show Details)